Bug 1158512 - [AAA] Search for users in incorrectly configured external ldap domain fails with NPE
Summary: [AAA] Search for users in incorrectly configured external ldap domain fails w...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.5.1
Assignee: Yair Zaslavsky
QA Contact: Ondra Machacek
URL:
Whiteboard: infra
Keywords:
Depends On:
Blocks: oVirt-AAA-rewrite
TreeView+ depends on / blocked
 
Reported: 2014-10-29 14:20 UTC by Ondra Machacek
Modified: 2016-02-10 19:35 UTC (History)
10 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-01-21 16:06:36 UTC


Attachments (Terms of Use)
engine.log (22.65 KB, text/plain)
2014-10-29 14:20 UTC, Ondra Machacek
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 34627 master MERGED aaa: Fix npe in search when authz is not properly configured Never
oVirt gerrit 34645 ovirt-engine-3.5 MERGED aaa: Fix npe in search when authz is not properly configured Never

Description Ondra Machacek 2014-10-29 14:20:19 UTC
Created attachment 951808 [details]
engine.log

Description of problem:


Version-Release number of selected component (if applicable):
rhevm-backend-3.5.0-0.17.beta.el6ev.noarch

How reproducible:
always

Steps to Reproduce:
1. Configure external provider so it fails with:
2014-10-29 14:58:25,275 ERROR [org.ovirt.engineextensions.aaa.ldap.AuthnExtension] (ServerService Thread Pool -- 46) Cannot initialize LDAP framework, deferring initialization. Error: ...

ie configure gssapi with clock skew
2. search users via REST API /api/domains/id/users

Actual results:
<fault><reason>Operation Failed</reason><detail/></fault>

Expected results:
list of users

Additional info:
see bug 1117488

Comment 1 Ondra Machacek 2014-12-09 14:35:47 UTC
ok vt13.1

Comment 2 Sandro Bonazzola 2015-01-21 16:06:36 UTC
oVirt 3.5.1 has been released. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.